Skip Menu |
 

This queue is for tickets about the Fuse CPAN distribution.

Report information
The Basics
Id: 101739
Status: patched
Priority: 0/
Queue: Fuse

People
Owner: Nobody in particular
Requestors: garu [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: make test fails on osxfuse 2.7.3 and 2.7.4
Hello, Thank you for the great work creating a Perl binding for Fuse! While I understand nothing other than Linux can be truly supported for Fuse, I see there is active documentation on this package on how to install on OS X, so I figured I should write this report. The "OSXFuse" package is currently on version 2.7.4, released in early 2015. I do not know how it compares version-wise with libfuse, which is already on 2.9.x. However, all tests in this distribution require "examples/loopback.pl" to work, which in turn expects read_buf and write_buf to be there, and the code in Fuse.pm doesn't add those calls to anything lower than fuse version 2.9.0. Of course, if I simply remove read_buf and write_buf from loopback.pl, it fails miserably. So I'm not really sure how to proceed here. Is there anything special required to run Fuse.pm on OS X with osxfuse 2.7.4 (the current version)? Should we create an examples/loopback-osx.pl and run tests on top of it? Should we remove OS X support completely from code and documentation of Perl Fuse? Thanks again for the time to create and maintain this. Cheers, garu
On Sun Jan 25 23:15:43 2015, GARU wrote: Show quoted text
> The "OSXFuse" package is currently on version 2.7.4, released in early > 2015. I do not know how it compares version-wise with libfuse, which > is already on 2.9.x. However, all tests in this distribution require > "examples/loopback.pl" to work, which in turn expects read_buf and > write_buf to be there, and the code in Fuse.pm doesn't add those calls > to anything lower than fuse version 2.9.0. > > Of course, if I simply remove read_buf and write_buf from loopback.pl, > it fails miserably. So I'm not really sure how to proceed here. Is > there anything special required to run Fuse.pm on OS X with osxfuse > 2.7.4 (the current version)? Should we create an examples/loopback- > osx.pl and run tests on top of it? Should we remove OS X support > completely from code and documentation of Perl Fuse?
It looks like the OSXFuse distribution changed its pkgconfig a bit, in ways that make Makefile.PL unhappy. I just made a small commit that fixes the build on my MacBook Pro (running OS X 10.10). Can you give that a try? Thanks. -- Derrik Pates demon@now.ai


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.